libxml2

Loading...
Searching...
No Matches
Data Fields
_xmlAttribute Struct Reference

An Attribute declaration in a DTD. More...

`#include <tree.h>`

## Data Fields
void * | _private
| application data
xmlElementType | type
| XML_ATTRIBUTE_DECL.
const xmlChar * | name
| attribute name
struct _xmlNode * | children
| NULL.
struct _xmlNode * | last
| NULL.
struct _xmlDtd * | parent
| DTD.
struct _xmlNode * | next
| next sibling
struct _xmlNode * | prev
| previous sibling
struct _xmlDoc * | doc
| containing document
struct _xmlAttribute * | nexth
| next in hash table
xmlAttributeType | atype
| attribute type
xmlAttributeDefault | def
| attribute default
xmlChar * | defaultValue
| default value
xmlEnumeration * | tree
| enumeration tree if any
const xmlChar * | prefix
| namespace prefix if any
const xmlChar * | elem
| element name

## Detailed Description

An Attribute declaration in a DTD.

Should be treated as opaque. Accessing members directly is deprecated.

The documentation for this struct was generated from the following file:

- tree.h